
# file: docker-compose.yml

~~~yml
version: '3'
name: proto

services:

  app:
    image: python:3.11-alpine
    environment:
      - DB_REDIS_HOST=dbproto
      - DB_REDIS_PORT=6379
      - TZ=America/Santiago
    volumes:
      - ./proto:/app
      - venv_proto:/root/venv
    working_dir: /app
    command: sh -c "
      [ -d /root/venv/bin ] || ( \
          python -m venv /root/venv/ \
          && . /root/venv/bin/activate \
          && pip install -r requirements.txt \
      ) ;

      . /root/venv/bin/activate ;

      cd /app ;
      [ -f .env ] || ( [ -f .env.develop ] && cp .env.develop .env ) ;
      watch -n 30 -t python main.py
      "

  dbproto:
    image: redis:7.2-alpine
    ports:
      - 6379:6379

volumes:
  venv_proto:
~~~